Bug 85112 - debug abort when creating a report
Summary: debug abort when creating a report
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: high critical
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3
Keywords: bibisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2014-10-16 20:50 UTC by Julien Nabet
Modified: 2015-12-17 08:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
odb test file (3.01 KB, application/vnd.oasis.opendocument.base)
2014-10-16 20:50 UTC, Julien Nabet
Details
console bt (6.00 KB, text/plain)
2014-10-16 20:50 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nabet 2014-10-16 20:50:29 UTC
Created attachment 107958 [details]
odb test file

Problem description:
On pc Debian x86-64 with master sources updated today + enable-dbgutil + brand new LO profile, I've got a crash when creating a simple report with wizard.

Steps to reproduce:
1. Open a odb file (eg hsqldb embedded)
2. Use wizard to create a report
3. Select fields from table, 
4. Finish

Current behavior:
Crash

Expected behavior:
Should not crash
Comment 1 Julien Nabet 2014-10-16 20:50:55 UTC
Created attachment 107959 [details]
console bt
Comment 2 Julien Nabet 2014-10-16 20:53:41 UTC
No problem with 4.3.2 LO Debian package.
Comment 3 Terrence Enger 2014-10-17 04:24:52 UTC
Setting bug status NEW.


I have bibisected the bug in the daily dbgutil bibisect repository.
Short version:

    test   date        commit   source hash
    ----   ----------  -------  -----------
    good   2014-09-30  a5e2ab5  38975e1
    bad    2014-10-01  cf50d23  0ada00b

From `git bisect good`:

    cf50d232874c65c9a0a89bf90ac77b9e72b8d57d is the first bad commit
    commit cf50d232874c65c9a0a89bf90ac77b9e72b8d57d
    Author: Miklos Vajna <vmiklos@collabora.co.uk>
    Date:   Wed Oct 1 08:43:10 2014 +0200

        2014-10-01

    :100644 100644 a5de1b30a75202c504c24e91c26d7938699da782 6b09ba5187bd4761b00b01173bfe5dcf44db757e M	build-info.txt
    :040000 040000 33681364230b26849df0c5abda2f2bd1bde26b6c 756c3ded52d2b791e6b1b7cef7f30d1ca86cdbb9 M	opt
    commit 38975e16ecfd900a14600f2f1383608b659d253b

and from `git bisect log`

    # bad: [29d24957395afa48f63fa078c1a3786cb471232e] 2014-10-16: source-hash-3e2bd1e4022e25b77bcc8eba5e02c1adc57008a1
    # good: [b3130c846de5cf1b4be48b48dfc780bb369549fa] 2014-05-21
    git bisect start 'origin/master' 'oldest'
    # good: [6ca756c86a95ee16f201363eea11093331d75969] 2014-08-03
    git bisect good 6ca756c86a95ee16f201363eea11093331d75969
    # skip: [f0e74aff3986ac63aa1d266f64d24d85b613a9a4] 2014-09-09
    git bisect skip f0e74aff3986ac63aa1d266f64d24d85b613a9a4
    # skip: [6b6a59c8061da96185064b4d550a6ac203d728e5] 2014-08-26
    git bisect skip 6b6a59c8061da96185064b4d550a6ac203d728e5
    # good: [f135a3932d7b89750cbb34cc689e849be894d658] 2014-08-04
    git bisect good f135a3932d7b89750cbb34cc689e849be894d658
    # skip: [3a6614ba47a0729e3d6c31588b850ca11ae4a6b5] 2014-09-10
    git bisect skip 3a6614ba47a0729e3d6c31588b850ca11ae4a6b5
    # good: [3b906f385ccc5e3bda8892bf4ff72744876172af] 2014-08-06
    git bisect good 3b906f385ccc5e3bda8892bf4ff72744876172af
    # skip: [3a2e0a9d2c264d50e599020c92a4fa4b1c54d927] 2014-09-11
    git bisect skip 3a2e0a9d2c264d50e599020c92a4fa4b1c54d927
    # skip: [f8518c5cd4a1a6be2a1528085a3b863ce9b33a46] 2014-09-21
    git bisect skip f8518c5cd4a1a6be2a1528085a3b863ce9b33a46
    # bad: [2b1d7230ae5464cd8cbfb5d4119ba05dc93a23e2] 2014-10-12
    git bisect bad 2b1d7230ae5464cd8cbfb5d4119ba05dc93a23e2
    # skip: [8fa53af1a54e2ad70800e5fd034968c80b589db7] 2014-09-08
    git bisect skip 8fa53af1a54e2ad70800e5fd034968c80b589db7
    # skip: [5feef9b157e62ed0d4a179c0d94d8ae693a01e88] 2014-09-17
    git bisect skip 5feef9b157e62ed0d4a179c0d94d8ae693a01e88
    # bad: [4d2047ed98f73c3d17ea2c003858a86c7c13d0e3] 2014-10-04
    git bisect bad 4d2047ed98f73c3d17ea2c003858a86c7c13d0e3
    # skip: [20f8211459e610cdd62e533c6ef541324f18627e] 2014-09-04
    git bisect skip 20f8211459e610cdd62e533c6ef541324f18627e
    # skip: [df3584a60c00673e5f5b4b09bfbe1be300a144fc] 2014-09-07
    git bisect skip df3584a60c00673e5f5b4b09bfbe1be300a144fc
    # good: [df3b0ca62028d5327e209d1aeb7dd4895be8b24f] 2014-09-23
    git bisect good df3b0ca62028d5327e209d1aeb7dd4895be8b24f
    # good: [9ebd4e34aad45fd419ca4025f31822ffe56a24f3] 2014-09-28
    git bisect good 9ebd4e34aad45fd419ca4025f31822ffe56a24f3
    # bad: [cf50d232874c65c9a0a89bf90ac77b9e72b8d57d] 2014-10-01
    git bisect bad cf50d232874c65c9a0a89bf90ac77b9e72b8d57d
    # good: [a5e2ab595bb04a73420cb587ec7daba2f207d751] 2014-09-30
    git bisect good a5e2ab595bb04a73420cb587ec7daba2f207d751
    # first bad commit: [cf50d232874c65c9a0a89bf90ac77b9e72b8d57d] 2014-10-01


For comparison, on Windows Vista, LibreOffice version

    Version: 4.4.0.0.alpha0+
    Build ID: 3e2bd1e4022e25b77bcc8eba5e02c1adc57008a1
    TinderBox: Win-x86@39, Branch:master, Time: 2014-10-16_00:50:04

becomes completely unresponsive when I try to start the Report Wizard.
Comment 4 Julien Nabet 2014-10-17 10:11:18 UTC
Thank you Terrence!
It gives this:
http://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=38975e1..0ada00b

Lionel: any thoughts?
Comment 5 Lionel Elie Mamane 2014-10-17 10:46:49 UTC
This is a debug-only assert (that is, this particular abort will not happen in a non-debug build) that comes from:

commit b98434d0170f2c1ff5b60f74d871ada81d897647
Author: Michael Stahl <mstahl@redhat.com>
Date:   Tue Sep 30 16:20:58 2014 +0200

    SfxBroadcaster: add some SolarMutex asserts
    
    It is extremely likely that calling SfxBroadcaster methods without
    SolarMutex lock is a bug; in case somebody finds a counterexample, this
    should be reverted.
    
    Change-Id: I4706671cfa22a3cfaed9cd33d4a77b14a57bb661


Given Michael's comment, it is "extremely likely" that there should be solar mutex guard taken somewhere in this backtrace. Where exactlly is another question...
Comment 6 Commit Notification 2014-12-05 22:12:26 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2a9c84deff54321da0042212bae86ede25dd7e2

fdo#85112: reportdesign: fix SolarMutex assertion

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-12-05 23:17:53 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77a99ad0e5f57310a6f33d8937e72c122fcdb788&h=libreoffice-4-4

fdo#85112: reportdesign: fix SolarMutex assertion

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Julien Nabet 2014-12-15 21:18:19 UTC
Thank you Lionel and Michael, I don't reproduce this with master sources updated yesterday!
Comment 9 Robinson Tryon (qubit) 2015-12-17 08:37:16 UTC Comment hidden (obsolete)